/**
 * 用户消息数据模型
 *
 * @author CaiAoLin
 * @date 2017/9/22
 * @version
 */
let mongoose = require("mongoose");
let Schema = mongoose.Schema;

// 表名
let collectionName = 'user_message';

// 表结构
let schema = {
    // 用户id
    user_id: {
        type: String,
    },
    // 是否已读
    is_read: {
        type: Number,
        default: 0
    },
    // 是否删除
    is_delete: {
        type: Number,
        default: 0
    },
    // 消息关联数据
    message: {
        type: Schema.Types.ObjectId,
        ref: 'message'
    },
    // 创建时间
    create_time: Number,
};

mongoose.model(collectionName, new Schema(schema, {versionKey: false}));
